/* reset everything to the default box model */
*,
:before,
:after {
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}
/* set a border-box model only to elements that need it */
.form-control,
.container,
.container-fluid,
.row,
.col-xs-1,
.col-sm-1,
.col-md-1,
.col-lg-1,
.col-xs-2,
.col-sm-2,
.col-md-2,
.col-lg-2,
.col-xs-3,
.col-sm-3,
.col-md-3,
.col-lg-3,
.col-xs-4,
.col-sm-4,
.col-md-4,
.col-lg-4,
.col-xs-5,
.col-sm-5,
.col-md-5,
.col-lg-5,
.col-xs-6,
.col-sm-6,
.col-md-6,
.col-lg-6,
.col-xs-7,
.col-sm-7,
.col-md-7,
.col-lg-7,
.col-xs-8,
.col-sm-8,
.col-md-8,
.col-lg-8,
.col-xs-9,
.col-sm-9,
.col-md-9,
.col-lg-9,
.col-xs-10,
.col-sm-10,
.col-md-10,
.col-lg-10,
.col-xs-11,
.col-sm-11,
.col-md-11,
.col-lg-11,
.col-xs-12,
.col-sm-12,
.col-md-12,
.col-lg-12,
.btn,
.checkbox,
.checkbox *,
.checkbox :before,
.checkbox :after,
.navbar-brand {
  -webkit-box-sizing: border-box !important;
  -moz-box-sizing: border-box !important;
  box-sizing: border-box !important;
}
.checkbox {
  line-height: 1.428571429;
}
.k-checkbox-label:before {
  font-weight: normal;
}
.k-ff input.k-textbox {
  height: 2.42em;
}
body {
  padding-top: 61px;
  min-height: 400px;
}
.btn:focus {
  outline: 0 !important;
}
nav .navbar-brand {
  padding: 0 0 0 15px;
}
nav .navbar-brand table,
nav .navbar-brand td {
  height: 100%;
}
nav .navbar-brand td {
  max-width: 330px;
  padding-right: 15px;
}
nav .navbar-brand td a {
  display: inline;
  float: none;
  font-size: 80%;
}
/*
table.dataTable {
  tbody {
    tr {
      td { padding: 3px; }
      &:not(.selected) > td { cursor: pointer; }
      &.selected, .selected { background-color: #337ab7; }
      transition: background-color .05s ease-in-out;
    }
  }
}

.dt-buttons + .dt-buttons { margin-left: 10px; }

div.dataTables_wrapper div.dataTables_filter {
  float: right;
  input { width: 300px; height: 30px; font-size: 12px; line-height: 1.5; }
}

.pagination .fa { font-size: 160%; line-height: 85%; vertical-align: top; }
*/
.k-grid .k-header.k-grid-toolbar h1,
.k-grid .k-header.k-grid-toolbar h2,
.k-grid .k-header.k-grid-toolbar h3,
.k-grid .k-header.k-grid-toolbar h4,
.k-grid .k-header.k-grid-toolbar h5,
.k-grid .k-header.k-grid-toolbar h6 {
  display: inline-block;
  vertical-align: middle;
  margin: 0;
}
.k-grid .k-grid-header th.k-header {
  padding-left: 0.6em;
}
.k-grid .k-grid-header .k-filter-row .k-textbox {
  width: 99%;
}
.k-grid td {
  padding: 0.25em 0.6em;
}
.k-window .k-window-content {
  padding: 15px;
}
.k-window .form-group {
  margin-bottom: 6px;
}
.k-window .form-group input,
.k-window .form-group textarea,
.k-window .form-group select,
.k-window .form-group .btn-group,
.k-window .form-group .k-dropdown,
.k-window .form-group .k-combobox,
.k-window .form-group .k-autocomplete {
  width: 100%;
}
.k-window .form-group .k-widget.hours,
.k-window .form-group .k-widget.minutes {
  width: 70px;
}
.k-window .form-group .colon {
  font-size: 160%;
  width: auto;
  padding: 0;
}
.k-window .form-group .checkbox input {
  width: initial;
}
.k-window .form-group .control-label {
  padding-right: 0;
}
.k-window .alert {
  margin-bottom: 15px;
}
.k-window .alert + .alert {
  margin-bottom: 15px;
}
.k-window .alert dl {
  margin-bottom: 0;
}
.k-window .alert dd {
  overflow: hidden;
  text-overflow: ellipsis;
}
.k-window .alert.caption {
  display: table;
}
.k-window .alert.caption span.glyphicon,
.k-window .alert.caption > strong,
.k-window .alert.caption > p {
  display: table-cell;
  vertical-align: middle;
}
.k-window .alert.caption span.glyphicon {
  font-size: 30px;
  padding-right: 15px;
}
.k-window .alert.caption > strong,
.k-window .alert.caption > p {
  width: 100%;
}
.k-window .modal-footer {
  padding-bottom: 0;
  margin: 15px -15px 0 -15px;
}
.k-window .k-tabstrip-wrapper + .modal-footer {
  padding-top: 0;
  border-top: 0 none;
}
.k-window .k-popup-edit-form.k-window-content {
  overflow: hidden;
}
.k-window .k-popup-edit-form .k-edit-form-container {
  width: auto;
}
.k-window .k-popup-edit-form .k-edit-form-container .k-edit-field {
  width: 64%;
}
.k-window .k-popup-edit-form .k-edit-form-container .k-edit-field input,
.k-window .k-popup-edit-form .k-edit-form-container .k-edit-field textarea,
.k-window .k-popup-edit-form .k-edit-form-container .k-edit-field select,
.k-window .k-popup-edit-form .k-edit-form-container .k-edit-field .k-dropdown,
.k-window .k-popup-edit-form .k-edit-form-container .k-edit-field .k-combobox,
.k-window .k-popup-edit-form .k-edit-form-container .k-edit-field .k-autocomplete {
  width: 100%;
}
.k-window .k-popup-edit-form .k-edit-form-container .k-invalid {
  border-color: #e00000;
}
.k-window .k-popup-edit-form .k-edit-form-container .k-invalid-msg {
  position: inherit;
  padding: .36em;
}
.input-group .k-textbox {
  position: relative;
  z-index: 3;
  float: left;
  width: 100%;
  margin-bottom: 0;
  display: table-cell;
}
.input-group .k-textbox:not(:first-child):not(:last-child) {
  border-radius: 0;
}
.input-group .k-textbox:first-child {
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
}
.input-group .k-textbox:last-child {
  border-bottom-left-radius: 0;
  border-top-left-radius: 0;
}
.btn-group > .btn:hover,
.btn-group-vertical > .btn:hover {
  z-index: 3;
}
.input-group-btn > .btn:hover,
.input-group-btn > .btn:focus,
.input-group-btn > .btn:active {
  z-index: 3;
}
.k-tabstrip {
  margin: 0 .9em;
}
.k-tabstrip:focus {
  -webkit-box-shadow: none;
  box-shadow: none;
}
.k-tabstrip > .k-tabstrip-items {
  margin-left: 1.2em;
  margin-right: 1.2em;
}
.k-tabstrip > .k-content {
  overflow: hidden;
  margin: 0;
  padding: 0;
  padding-top: .9em;
}
.k-tabstrip .k-item {
  border-top-width: 2px;
}
.k-tabstrip .k-item.k-state-active {
  border-top: 2px solid #337ab7;
}
[data-role=imageupload] img {
  cursor: pointer;
}
.users-page #usersGrid .fa-check {
  color: darkgreen;
}
.users-page #usersGrid .fa-times {
  color: darkred;
}
.users-page .search-form .alert {
  margin-left: 10px;
  margin-right: 10px;
}
.users-page .search-form .progress {
  margin: 0 15px;
}
.users-page .choose-form .grid {
  margin-left: 10px;
  margin-right: 10px;
}
.users-page .choose-form .grid tr {
  cursor: pointer;
}
.bulletins-page .k-popup-edit-form.party-item-form .k-edit-label {
  width: 12%;
}
.bulletins-page .k-popup-edit-form.party-item-form .k-edit-field {
  width: 82%;
}
.bulletins-page #photo {
  position: absolute;
  right: 2%;
  top: 0;
}
.bulletins-page [data-container-for=last_name],
.bulletins-page [data-container-for=first_name],
.bulletins-page [data-container-for=patronymic] {
  width: 35% !important;
  margin-right: 31% !important;
}
.live-votingresults-page .k-popup-edit-form .k-edit-form-container .k-edit-label,
.live-exit-polls-page .k-popup-edit-form .k-edit-form-container .k-edit-label,
.live-votingresults-page .k-popup-edit-form .k-edit-form-container .k-edit-field,
.live-exit-polls-page .k-popup-edit-form .k-edit-form-container .k-edit-field {
  float: inherit;
  display: inline-block;
  vertical-align: middle;
  padding: 0;
}
.live-votingresults-page .k-popup-edit-form .k-edit-form-container .k-edit-label,
.live-exit-polls-page .k-popup-edit-form .k-edit-form-container .k-edit-label {
  width: 83%;
  margin-left: 0;
  margin-right: 1%;
}
.live-votingresults-page .k-popup-edit-form .k-edit-form-container .k-edit-field,
.live-exit-polls-page .k-popup-edit-form .k-edit-form-container .k-edit-field {
  width: 15%;
  margin-right: 0;
}
.live-votingresults-page .k-popup-edit-form .k-edit-form-container .k-edit-field .k-numerictextbox,
.live-exit-polls-page .k-popup-edit-form .k-edit-form-container .k-edit-field .k-numerictextbox {
  width: 100%;
}
/*
.users-page {
  #usersTable {
    .fa-check { color: darkgreen; }
    .fa-times { color: darkred; }
  }
}

.polling-places-page {
  .totals span { font-size: 120%; color: darkcyan; }
  #pollingPlacesTable {
    .fa-question { color: #d20000; }
  }
}

.parties-page {
  #partiesTable tbody {
    .fa-check { color: darkgreen; }
  }
}

.candidates-page {
  #photo {
    position: absolute; background-color: #eee;
    img { cursor: pointer; background: url(../images/nophoto.png) center/112px no-repeat; }
  }
}

.observers-page {
  #observersTable tbody {
    .fa { margin-right: 5px; }
    .fa-exclamation, .fa-question { color: #d20000; }
    .fa-check { color: darkgreen; }
    .fa-envelope-o, .fa-phone, .fa-exclamation-triangle, .fa-times { color: darkred; }
  }
}

.meetings-page {
  #meetingsTable {
    .fa-check { color: darkgreen; }
    .fa-times { color: darkred; }
  }
  #mediasTable {
    .fa-play { color: darkgreen; }
  }
  .k-widget.when-date { width: 140px; }
  .k-widget.when-hours, .k-widget.when-minutes { width: 80px; }
  .colon { font-size: 160%; width: auto; padding: 0; }
}

.debates-page {
  .k-widget.when-date { width: 140px; }
  .k-widget.when-hours, .k-widget.when-minutes { width: 80px; }
  .colon { font-size: 160%; width: auto; padding: 0; }
}

.lives-page {
  hr { margin-top: 5px; margin-bottom: 5px; border-top-color: #999; }
}

.live-polling-places-page {
  #pollingPlacesTable tbody {
    .fa-check { color: darkgreen; }
  }
}
*/
